summaryrefslogtreecommitdiffstats
path: root/src/VBox/Installer/solaris/preremove.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/VBox/Installer/solaris/preremove.sh')
-rwxr-xr-xsrc/VBox/Installer/solaris/preremove.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/src/VBox/Installer/solaris/preremove.sh b/src/VBox/Installer/solaris/preremove.sh
new file mode 100755
index 00000000..c48787f2
--- /dev/null
+++ b/src/VBox/Installer/solaris/preremove.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+# $Id: preremove.sh $
+## @file
+# VirtualBox preremove script for Solaris.
+#
+
+#
+# Copyright (C) 2007-2019 Oracle Corporation
+#
+# This file is part of VirtualBox Open Source Edition (OSE), as
+# available from http://www.virtualbox.org. This file is free software;
+# you can redistribute it and/or modify it under the terms of the GNU
+# General Public License (GPL) as published by the Free Software
+# Foundation, in version 2 as it comes in the "COPYING" file of the
+# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+#
+
+currentzone=`zonename`
+if test "x$currentzone" = "xglobal"; then
+ echo "Removing VirtualBox services and drivers..."
+ ${PKG_INSTALL_ROOT:=/}/opt/VirtualBox/vboxconfig.sh --preremove
+ if test "$?" -eq 0; then
+ echo "Done."
+ exit 0
+ fi
+ echo 1>&2 "## Failed."
+ exit 1
+fi
+
+exit 0
+